#ifndef __FRAMEWORK_NULL_H__
#define __FRAMEWORK_NULL_H__

#include <Window.h>

#include "frmwrk.h"

// window /////////////////////////////////////////////////////////////////

class FrmNullWindow : public BWindow, public Framework
{
	sem_id				mDrawLock;

	int32				mFrameWidth;
	int32				mFrameHeight;
	int32				mBytesPerRow;

	void *				mBits;

	color_space			mPixelFormat;

public:

	FrmNullWindow(FrameworkParams &params, status_t &error, const char * &error_text);
	~FrmNullWindow();
		
	virtual void		WindowActivated(bool active);
	virtual bool		QuitRequested();

	// interface methods to the drawing thread
	virtual status_t	frame_open(Buffer &);
	virtual void	 	frame_close();
};

#endif // __FRAMEWORK_NULL_H__
